Bug 173155 - kernel dm: DM_LIST_VERSIONS_CMD ioctl reponse truncated
kernel dm: DM_LIST_VERSIONS_CMD ioctl reponse truncated
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alasdair Kergon
Brian Brock
:
Depends On:
Blocks: 168429
  Show dependency treegraph
 
Reported: 2005-11-14 13:21 EST by Alasdair Kergon
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2006-0132
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-07 15:42:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alasdair Kergon 2005-11-14 13:21:44 EST
In some circumstances the LIST_VERSIONS (dmsetup targets) output is truncated
because the size calculation forgets about a 'uint32_t' in each
structure - but the inclusion of the whole of ALIGN_MASK frequently
compensates for the omission.
                                                                                
(This is a quick workaround to use an upper bound.  The code ought
to be fixed to supply the actual size.)

As a result of this bug, 'lvcreate --type error' fails when it shouldn't.
Comment 1 Alasdair Kergon 2005-11-14 14:17:51 EST
dm-list-targets-fix.patch
Comment 6 Red Hat Bugzilla 2006-03-07 15:42:49 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0132.html

Note You need to log in before you can comment on or make changes to this bug.